package demo;

import javax.swing.tree.*;
import com.japisoft.fastparser.node.*;

import java.util.Enumeration;

/** Here an implementation for the Swing node */
public class SwingNode extends SimpleNode implements TreeNode {
    // Default constructor

    public SwingNode( int type, String content ) {
	super( type, content );
    }
    public SwingNode( SimpleNode parent, int type, String content ) {
	super( parent, type, content );
    }

    ///////////////////////////////////////////////////////////////////////////////////////////

    // TreeNode supprt

    public Enumeration children() {
	return getAllChild();
    }

    public boolean getAllowsChildren() {
	return true;
    }

    public TreeNode getChildAt(int childIndex) {
	return (TreeNode)childAt( childIndex );
    }

    public int getChildCount() {
	return childCount();
    }

    public int getIndex(TreeNode node) {
	return childNodeIndex( (SimpleNode)node );
    }

    public TreeNode getParent() {
	return (TreeNode)getSimpleParent();
    }

}
